﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace App15
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();

            this.DataContext = new Data() { Min = 4, Max = 10, ValuePS = 6};
        }
    }

    public class Data:INotifyPropertyChanged
    {
        private int valuePs;

        public int ValuePS
        {
            get { return valuePs; }
            set { valuePs = value;
                this.OnPropertyChanged("ValuePS");
            }
        }

        private int min;

        public int Min
        {
            get { return min; }
            set { min = value;
                this.OnPropertyChanged("Min");
            }
        }


        private int max;

        public int Max
        {
            get { return max; }
            set { max = value;
                this.OnPropertyChanged("Max");
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
